import { CellService } from './table-cell/cell-types/cell.service';
import { CellDirective } from './table-cell/cell.directive';
import { ColumnFilterService } from './table-cell/cell-types/column-filter.service';
import * as i0 from "@angular/core";
import * as i1 from "./dynamic-table.component";
import * as i2 from "./table-cell/table-cell.component";
import * as i3 from "./table-cell/cell.directive";
import * as i4 from "./table-cell/cell-types/text-cell.component";
import * as i5 from "./table-cell/cell-types/date-cell.component";
import * as i6 from "./multi-sort/multi-sort.directive";
import * as i7 from "./multi-sort/multi-sort-header";
import * as i8 from "@angular/common";
import * as i9 from "@angular/material/table";
import * as i10 from "@angular/material/sort";
import * as i11 from "@angular/material/paginator";
import * as i12 from "@angular/material/icon";
import * as i13 from "@angular/material/dialog";
import * as i14 from "@angular/material/tooltip";
import * as i15 from "./column-resize/column-resize-module";
export { CellService, CellDirective, ColumnFilterService };
export { CellComponent } from './table-cell/cell-types/cell.component';
export { ColumnFilter } from './column-filter.model';
export { ColumnConfig } from './column-config.model';
export { FilterDescription } from './filter-description';
export declare class DynamicTableModule {
    private readonly cellService;
    constructor(cellService: CellService);
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicTableModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DynamicTableModule, [typeof i1.DynamicTableComponent, typeof i2.TableCellComponent, typeof i3.CellDirective, typeof i4.TextCellComponent, typeof i5.DateCellComponent, typeof i6.MdtMultiSort, typeof i7.MdtMultiSortHeader], [typeof i8.CommonModule, typeof i9.MatTableModule, typeof i10.MatSortModule, typeof i11.MatPaginatorModule, typeof i12.MatIconModule, typeof i13.MatDialogModule, typeof i14.MatTooltipModule, typeof i15.MatColumnResizeModule], [typeof i1.DynamicTableComponent, typeof i6.MdtMultiSort, typeof i15.MatColumnResizeModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DynamicTableModule>;
}
