import { ComponentFactoryResolver, OnInit } from '@angular/core';
import { CellDirective } from './cell.directive';
import { CellService } from './cell-types/cell.service';
import { ColumnConfig } from '../column-config.model';
import * as i0 from "@angular/core";
export declare class TableCellComponent implements OnInit {
    private readonly cellService;
    private readonly componentFactoryResolver;
    cellHost: CellDirective;
    row: object;
    column: ColumnConfig;
    constructor(cellService: CellService, componentFactoryResolver: ComponentFactoryResolver);
    ngOnInit(): void;
    initCell(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableCellComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableCellComponent, "mdt-table-cell", never, { "row": { "alias": "row"; "required": false; }; "column": { "alias": "column"; "required": false; }; }, {}, never, never, false, never>;
}
